import Model from '../Model';
import { ZRColor, ColorPaletteOptionMixin } from '../../util/types';
interface ColorPaletteMixin<T extends ColorPaletteOptionMixin = ColorPaletteOptionMixin> extends Pick<Model<T>, 'get'> {
}
declare class ColorPaletteMixin<T extends ColorPaletteOptionMixin = ColorPaletteOptionMixin> {
    clearColorPalette(this: ColorPaletteMixin): void;
    getColorFromPalette(this: ColorPaletteMixin, name: string, scope?: any, requestColorNum?: number): ZRColor;
}
export { ColorPaletteMixin };
